:root {
  --bg-dark: #050505;
  --accent-red: #ff9100;
  --text-light: #ffdab0;
  --text-shadow: #ff7300;
  --marker-color: #ff9d00;
  --input-bg: #111111;
  --input-border: #ffb300;
  --sidebar-width: 250px;
  --drop-highlight: #e37825;
  --shadow-color: rgba(255, 140, 0, 0.4);
  --button-dark: #1a1a1a;
}

/* Liquid Glass Navbar */
.liquid-glass-navbar {
  position: sticky;
  top: 10px;
  z-index: 1000;
  display: flex;
  justify-content: center;
  padding: 0rem 1rem;
  margin: 30px auto 30px auto;
  width: 600px;  
  background: rgba(16, 16, 16, 0);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  border-bottom: 0px solid rgba(255, 255, 255, 0);
  box-shadow: 0px 2px 30px rgba(0, 0, 0, 0);
  border-radius: 13px;
  -webkit-border-radius: 13px;
  -moz-border-radius: 13px;
  -ms-border-radius: 13px;
  -o-border-radius: 13px;
}
nav::-webkit-scrollbar {
    display: none; /* Chrome, Safari, and Opera */
}

.navbar-content {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 0.2em 0.6em;
  width: 700px;
  height: 60px;
  position: relative;
  overflow: hidden;
  gap: 20px;
}

nav button {
    font-family: 'Press Start 2P', monospace;
    font-size: 0.8em;
    padding: 10px 20px;
    background-color: var(--button-dark);
    color: var(--text-light);
    border: 2px solid var(--accent-red);
    cursor: pointer;
    transition: all 0.2s;
    border-radius: 2px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    flex-shrink: 0;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
}

nav button:hover {
    background-color: var(--accent-red);
    color: var(--marker-color);
    box-shadow: 0 0 10px var(--accent-red);
}

nav button.active {
    background-color: var(--accent-red);
    color: var(--bg-dark);
    border-color: var(--text-light);
    transform: scale(1.05);
    box-shadow: 0 0 10px var(--text-light);
}

nav button.active:hover {
    background-color: var(--accent-red);
    color: var(--text-light);
    transform: scale(1.05);
    box-shadow: 0 0 10px var(--text-light);
}

.view {
    display: none;
}

.view.active {
    display: block;
}
